
QGIS Application - Bug report #12855

"interpolation" tool crashes qgis

2015-06-01 05:47 AM - Saber Razmjooei

Status: Closed

Priority: Severe/Regression

Assignee: Alessandro Pasotti

Category: Analysis library

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20948

Description

Try interpolate the attached vector using the attribute "cota2" and as type "structure lines" or "break lines", qgis immediately crashes when

clicking ok.

Error in `/usr/bin/qgis.bin': malloc(): memory corruption (fast): 0x0000000007caaf30 ***

History

#1 - 2015-06-01 06:26 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 2.8.2 to master

#2 - 2015-06-05 06:18 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to Closed

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

Fixed in PR #2115

#3 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 116 to Analysis library

Files

lines_interpolation_crash.zip 708 KB 2015-06-01 Saber Razmjooei
